C3P0ImplUtilsParentLoggerGeneratorExtension (c3p0-0.9.5.5 API Documentation)
Date: 2019-12-11

com.mchange.v2.c3p0.codegen

## Class C3P0ImplUtilsParentLoggerGeneratorExtension

- java.lang.Object
- - com.mchange.v2.c3p0.codegen.C3P0ImplUtilsParentLoggerGeneratorExtension

- All Implemented Interfaces:
    com.mchange.v2.codegen.bean.GeneratorExtension

      public class C3P0ImplUtilsParentLoggerGeneratorExtension
      extends java.lang.Object
      implements com.mchange.v2.codegen.bean.GeneratorExtension

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `C3P0ImplUtilsParentLoggerGeneratorExtension()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Collection` | `extraGeneralImports()`
    `java.util.Collection` | `extraInterfaceNames()`
    `java.util.Collection` | `extraSpecificImports()`
    `void` | `generate(com.mchange.v2.codegen.bean.ClassInfo info, java.lang.Class superclassType, com.mchange.v2.codegen.bean.Property[] props, java.lang.Class[] propTypes, com.mchange.v2.codegen.IndentedWriter iw)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### C3P0ImplUtilsParentLoggerGeneratorExtension

          public C3P0ImplUtilsParentLoggerGeneratorExtension()

  - ### Method Detail

    - #### extraGeneralImports

          public java.util.Collection extraGeneralImports()

      Specified by:
        `extraGeneralImports` in interface `com.mchange.v2.codegen.bean.GeneratorExtension`

    - #### extraSpecificImports

          public java.util.Collection extraSpecificImports()

      Specified by:
        `extraSpecificImports` in interface `com.mchange.v2.codegen.bean.GeneratorExtension`

    - #### extraInterfaceNames

          public java.util.Collection extraInterfaceNames()

      Specified by:
        `extraInterfaceNames` in interface `com.mchange.v2.codegen.bean.GeneratorExtension`

    - #### generate

          public void generate(com.mchange.v2.codegen.bean.ClassInfo info,
                               java.lang.Class superclassType,
                               com.mchange.v2.codegen.bean.Property[] props,
                               java.lang.Class[] propTypes,
                               com.mchange.v2.codegen.IndentedWriter iw)
                        throws java.io.IOException

      Specified by:
        `generate` in interface `com.mchange.v2.codegen.bean.GeneratorExtension`
      Throws:
        `java.io.IOException`